#!/bin/bash 
# copiaarchivi.sh
# vers. 1.0.4
stty -isig

######################################################################
# vers. 1.0.3 - 13 set 2007 unificata gest. demografici (edem)
#                           inserito doppio controllo per i ripristini
#			    modificata verifica procedure utilizzate
# vers. 1.0.2 - 10 gen 2007 inserito stty -isig x non bloccare
#                           l'esecuzione dello script

# Procedura per la copia ed il ripristino delle procedure SIBAC


######################################################################
# Verifico che l'utente che utilizza questo programma sia "root"
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	sleep 5
	exit
fi
######################################################################
# Verifico che non ci siano utenti connessi alle procedure
# echo -e "Verifica Utenti Connessi\n"
# echo -e "Attendere prego.........\n"
# lsof -i  | grep -i " sibac " > /tmp/testusers
# 
# if [ -s /tmp/testusers ] ; then
# 	/usr/bin/clear
# 	echo -e "ATTENZIONE!!\n\n"
# 	echo -e "Alcuni utenti stanno utilizzando i programmi dell'ambiente SIBAC\n\n"
# 	echo -e "Verificare che nessuno sia connesso alla procedura interessata al salvataggio\n\n"
# 	echo -e "<return> per proseguire \c"
# 	read attesa
# fi

######################################################################
# Variabili d'ambiente

# NOTA: tutti i files contenenti le variabili d'ambiente devono essere
#  sempre  presenti su /sibac/variabili 

dir_variabili="/sibac/variabili"

if test -s $dir_variabili/mediacd ; then
	mediacd=`cat $dir_variabili/mediacd`; else
	/usr/bin/clear
	mediacd="/media/cdrom"
	echo -e "Variabile d'ambiente 'cdrom' non inizializzata!\n\n"
	echo -e "Inserire un percorso valido per gli aggiornamenti da cdrom ($mediacd): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$mediacd
	fi

	echo $variabile > $dir_variabili/mediacd
fi

if test -s $dir_variabili/nastro ; then
	nastro=`cat $dir_variabili/nastro` ; else
	/usr/bin/clear
	nastro="/dev/st0"
	echo -e "Variabile d'ambiente 'nastro' non inizializzata!\n\n"
	echo -e "Inserire il nome del supporto utilizzato per le copie ($nastro): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$nastro
	fi

	echo $variabile > $dir_variabili/nastro
fi

if test -s $dir_variabili/masterizzatore ; then
	masterizzatore=`cat $dir_variabili/masterizzatore` ; else
	/usr/bin/clear
	masterizzatore="/dev/cdrom"
	echo -e "Variabile d'ambiente 'masterizzatore' non inizializzata!\n\n"
	echo -e "Inserire il nome del supporto utilizzato per le copie su masterizzatore ($masterizzatore): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$masterizzatore
	fi

	echo $variabile > $dir_variabili/masterizzatore
fi

if test -s $dir_variabili/id_sistema ; then
	id_sistema=`cat $dir_variabili/id_sistema` ; else
	/usr/bin/clear
	echo -e "Variabile d'ambiente 'id_sistema' non inizializzata!\n\n"
	echo -e "Inserire il nome dell'identificativo di sistema (esempio: Ubuntu Server 6.06.1): \c"
	read variabile
	if test -z $variabile ; then 
		variabile="INSERIRE ID_SISTEMA!!!"
	fi

	echo $variabile > $dir_variabili/id_sistema
fi

if test -s $dir_variabili/dir_ambiente ; then
	dir_ambiente=`cat $dir_variabili/dir_ambiente` ; else
	/usr/bin/clear
	dir_ambiente="/sibac"
	echo -e "Variabile d'ambiente 'dir_ambiente' non inizializzata!\n\n"
	echo -e "Inserire il nome della directory su cui si trova l'ambiente SIBAC ($dir_ambiente): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_ambiente
	fi

	echo $variabile > $dir_variabili/dir_ambiente
fi

if test -s $dir_variabili/dir_scripts ; then
	dir_scripts=`cat $dir_variabili/dir_scripts` ; else
	/usr/bin/clear
	dir_scripts="/sibac/scripts"
	echo -e "Variabile d'ambiente 'dir_scripts' non inizializzata!\n\n"
	echo -e "Inserire il nome della directory su cui si trovano gli scripts ($dir_scripts): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_scripts
	fi

	echo $variabile > $dir_variabili/dir_scripts
fi

if test -s $dir_variabili/dir_installazione ; then
	dir_installazione=`cat $dir_variabili/dir_installazione` ; else
	/usr/bin/clear
	dir_installazione="/sibac/installazione"
	echo -e "Variabile d'ambiente 'dir_installazione' non inizializzata!\n\n"
	echo -e "Inserire il nome della directory su cui copiare il file per l'installazione di SIBAC ($dir_installazione): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_installazione
	fi

	echo $variabile > $dir_variabili/dir_installazione
fi

if test -s $dir_variabili/dir_aggiornamenti ; then
	dir_aggiornamenti=`cat $dir_variabili/dir_aggiornamenti` ; else
	/usr/bin/clear
	dir_aggiornamenti="/sibac/aggiornamenti"
	echo -e "Variabile d'ambiente 'dir_aggiornamenti' non inizializzata!\n\n"
	echo -e "Inserire il nome della directory su cui copiare il file per gli aggiornamenti di SIBAC ($dir_aggiornamenti): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_aggiornamenti
	fi

	echo $variabile > $dir_variabili/dir_aggiornamenti
fi

if test -s $dir_variabili/file_inst ; then
	file_inst=`cat $dir_variabili/file_inst` ; else
	/usr/bin/clear
	file_inst="basecd.tar.bz2"
	echo -e "Variabile d'ambiente 'file_inst' non inizializzata!\n\n"
	echo -e "Inserire il nome del file installante ($file_inst):\c"
	read variabile
	if test -z $variabile ; then 
		variabile=$file_inst
	fi

	echo $variabile > $dir_variabili/file_inst
fi

if test -s $dir_variabili/file_agg ; then
	file_agg=`cat $dir_variabili/file_agg` ; else
	/usr/bin/clear
	file_agg="aggiornamento.tar.bz2"
	echo -e "Variabile d'ambiente 'file_agg' non inizializzata!\n\n"
	echo -e "Inserire il nome del file per gli aggiornamenti ($file_agg): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$file_agg
	fi

	echo $variabile > $dir_variabili/file_agg
fi

if test -s $dir_variabili/dir_copieinterne ; then
	dir_copieinterne=`cat $dir_variabili/dir_copieinterne` ; else
	/usr/bin/clear
	dir_copieinterne="/sibac/copie"
	echo -e "Variabile d'ambiente 'copieinterne' non inizializzata!\n\n"
	echo -e "Inserire il nome della directory per le copie interne ($dir_copieinterne): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_copieinterne
	fi

	echo $variabile > $dir_variabili/dir_copieinterne
fi

if test -s $dir_variabili/codicecliente ; then
	codicecliente=`cat $dir_variabili/codicecliente` ; else
	/usr/bin/clear
	codicecliente="DEVI_INSERIRE_CODICE_UTENTE"
	echo -e "Variabile d'ambiente 'codicecliente' non inizializzata!\n\n"
	echo -e "Inserire il codice cliente ($codicecliente): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$codicecliente
	fi

	echo $variabile > $dir_variabili/codicecliente
fi

# verifico che esistano le directory "obbligatorie" per poter procedere

if test  ! -d $dir_variabili ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DELLE VARIABILI D'AMBIENTE!!!\n\n"
	echo -e "Provvedere alla sua creazione ed all'inizializzazione delle variabili d'ambiente"
	sleep 3
	exit
fi

if test  ! -d $dir_copieinterne ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DELLE COPIE INTERNE!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir $dir_copieinterne
	sleep 3
fi

if test  ! -d $dir_ambiente/tmp ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY TEMPORANEA!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir $dir_ambiente/tmp
	sleep 3
fi

######################################################################
# Elenco delle procedure SIBAC suddivise per area
######################################################################
prg_demografici="edem" 
prg_segreteria="edeli eprot emess"
prg_tributi="egit"
prg_finanziaria="eb77"
prg_pagheeco="epag"
prg_paghegiu="erugg"
prg_commercio="elice"
prg_invcivili="icv"
prg_economato="eeco"
prg_rilpresenze="time"
prg_mutui="emut"
prg_cimiteriali="ecimi"
prg_rette="re"
prg_servsociali="ss"
######################################################################

# Inizio menu

echo -e "ATTENZIONE!!"
echo -e "Prima di proseguire con il salvataggio verificare che nessuna procedura"
echo -e "interessata sia in uso."
sleep 5
$dir_scripts/verificaop.sh

/usr/bin/clear
lavoro=""
while test ${lavoro}X != "0X"
do
echo -e "
   	  =================================================================
	    M E M  I N F O R M A T I C A  **  M E M  I N F O R M A T I C A  
	  ================================================================= 
               S A L V A T A G G I O     A M B I E N T E     S I B A C     
          -----------------------------------------------------------------
          1  - COPIA AMBIENTE SIBAC SU FILE (copia interna) 
          2  - COPIA AMBIENTE SIBAC SU SUPPORTO MAGNETICO
          33 - RIPRISTINA AMBIENTE SIBAC DA FILE
          44 - RIPRISTINA AMBIENTE SIBAC DA SUPPORTO MAGNETICO
          -----------------------------------------------------------------
          A - COPIA  INT. DEMOGRAFICI      G - COPIA INT. LIC. COMMERCIO
          B - COPIA  INT. SEGRETERIA       H - COPIA INT. INVALIDI CIVILI
          C - COPIA  INT. TRIBUTI          I - COPIA INT. ECONOMATO
          D - COPIA  INT. FINANZIARIA      L - COPIA INT. RILEVAZ. PRESENZE
          E - COPIA  INT. PAGHE ECONOMICO  M - COPIA INT. MUTUI
          F - COPIA  INT. PAGHE GIURIDICO  K - COPIA INT. GEST. CIMITERIALI
          J - COPIA  INT. GEST. RETTE      Y - COPIA INT. SERV. SOCIALI
          -----------------------------------------------------------------
          NN - RIPRIST. INT. DEMOGRAFICI  TT - RIPRIST. INT. LIC. COMMERCIO
          OO - RIPRIST. INT. SEGRETERIA   UU - RIPRIST. INT. INVALIDI CIVILI
          PP - RIPRIST. INT. TRIBUTI      VV - RIPRIST. INT. ECONOMATO
          QQ - RIPRIST. INT. FINANZIARIA  ZZ - RIPRIST. INT. RILEVAZ. PRESENZE
          RR - RIPRIST. INT. PAGHE ECON.  WW - RIPRIST. INT. MUTUI
          SS - RIPRIST. INT. PAGHE GIUR.  1J - RIPRIST. INT. GEST. RETTE
          1Y - RIPRIST. INT. SERV.SOCIALI 
          ------------------------------------------------------- v.1.0.4 -
          Scelta lavoro [0=uscita]: \c"

read lavoro
if test ${lavoro}X = "AX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Area Demografici"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_demografici
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi

if test ${lavoro}X = "BX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Area Segreteria"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_segreteria
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi

if test ${lavoro}X = "CX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Area Tributi"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_tributi
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi

if test ${lavoro}X = "DX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Area Finanziaria"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_finanziaria
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi

if test ${lavoro}X = "EX"
   then 
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Paghe Economico"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_pagheeco
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi

if test ${lavoro}X = "FX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Paghe Giuridico"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_paghegiu
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi

if test ${lavoro}X = "GX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Procedure Commercio"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_commercio
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi

if test ${lavoro}X = "HX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Invalidi Civili"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_invcivili
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi

if test ${lavoro}X = "IX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Procedure Economato"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_economato
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi
 
if test ${lavoro}X = "LX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Rilevazione Presenze"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_rilpresenze
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi
 
if test ${lavoro}X = "MX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Procedure Mutui"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_mutui
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi

if test ${lavoro}X = "KX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Procedura Gestioni Cimiteriali"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_cimiteriali
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi

if test ${lavoro}X = "JX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Procedura Gestione Rette"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_rette
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi

if test ${lavoro}X = "YX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "Salvataggio Procedura Gestione Servizi Sociali"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_servsociali
	do
		echo -e "Procedura: $prg"
		/bin/tar cvfz $dir_copieinterne/$prg.tar.gz $prg
		sleep 2
		echo -e ""
	done
	fi

fi


if test ${lavoro}X = "NNX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo il Ripristino degli archivi dei Demografici"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_demografici
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi

if test ${lavoro}X = "OOX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo il Ripristino degli archivi della Segreteria"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_segreteria
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz 
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi

if test ${lavoro}X = "PPX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo il Ripristino degli archivi dell' Area Tributi"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_tributi
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi

if test ${lavoro}X = "QQX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo il Ripristino degli archivi dell' Area Finanziaria"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_finanziaria
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi

if test ${lavoro}X = "RRX"
   then 
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo il Ripristino degli archivi dell'Area Paghe Economico"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_pagheeco
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi

if test ${lavoro}X = "SSX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo Il Ripristino degli Archivi dell' Area Paghe Giuridico"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_paghegiu
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi

if test ${lavoro}X = "TTX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo Il Ripristino degli Archivi delle Procedure Commercio"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_commercio
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi

if test ${lavoro}X = "UUX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo Il Ripristino degli Archivi dell' Area Invalidi Civili"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_invcivili
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi

if test ${lavoro}X = "VVX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo Il Ripristino degli Archivi delle Procedure Economato"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_economato
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi
 
if test ${lavoro}X = "ZZX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo Il Ripristino degli Archivi dell' Area Rilevazione Presenze"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_rilpresenze
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi
 
if test ${lavoro}X = "WWX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo Il Ripristino degli Archivi dell' Area Procedure Mutui"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_mutui
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi

if test ${lavoro}X = "1JX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo Il Ripristino degli Archivi della Gest. Rette"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_rette
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi

if test ${lavoro}X = "1YX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	echo -e "ATTENZIONE!! Si Sta Eseguendo Il Ripristino degli Archivi della Gest. Serv. Sociali"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	sleep 2

	for prg in $prg_servsociali
	do
		echo -e "Procedura: $prg"
		/bin/tar xvfz $dir_copieinterne/$prg.tar.gz
		sleep 2
		echo -e ""
	done
	echo -e "\n"
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi

fi

if test ${lavoro}X = "1X"
   then
	/usr/bin/clear
	echo -e "Copia ambiente SIBAC su file \n"

	echo -e "Tipo di salvataggio (1=su archivio unico 2=su archivio giornaliero) \c:"
	read tipocopia
	if test $tipocopia = "1"  ; then

# Copia su archivio unico

	# Verifico se il disco esterno e' montato sul sistema, se non e'
	# montato lo monto e procedo
	# /bin/df | /bin/grep -i $mediacd > /tmp/testcd
	# 
	# 	if [ ! -s /tmp/testcd ] ; then
	# 		echo -e "Monto il cdrom................."
	# 		echo -e "..............................."
	# 		/bin/mount $mediacd
	# 		sleep 2
	# 	fi

	cd $dir_ambiente
	sleep 2
	/bin/tar cvfz $dir_copieinterne/copiainterna.tar.gz $prg_demografici $prg_segreteria $prg_tributi $prg_finanziaria $prg_pagheeco $prg_paghegiu $prg_commercio $prg_invcivili $prg_economato $prg_rilpresenze $prg_mutui scripts variabili
	fi
# Copia su archivio quotidiano

	if test $tipocopia = "2"  ; then
	cd $dir_ambiente
	sleep 2
	/bin/tar cvfz $dir_copieinterne/$(date +%F).tar.gz $prg_demografici $prg_segreteria $prg_tributi $prg_finanziaria $prg_pagheeco $prg_paghegiu $prg_commercio $prg_invcivili $prg_economato $prg_rilpresenze $prg_mutui scripts variabili
	fi
fi

if test ${lavoro}X = "2X"
   then
	/usr/bin/clear
	echo -e "Copia ambiente SIBAC su nasto "
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	cd $dir_ambiente
	sleep 2
	/bin/tar cvfz $nastro $prg_demografici $prg_segreteria $prg_tributi $prg_finanziaria $prg_pagheeco $prg_paghegiu $prg_commercio $prg_invcivili $prg_economato $prg_rilpresenze $prg_mutui scripts variabili
	fi
fi

if test ${lavoro}X = "33X"
   then
	/usr/bin/clear
	echo -e "ATTENZIONE!! Si Sta Eseguendo Il Ripristino dell'ambiente SIBAC da file "
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	cd $dir_ambiente
	sleep 2
	/bin/tar xvfz $dir_copieinterne/copiainterna.tar.gz
	echo -e "<return> per proseguire \c"
	read attesa
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi
fi

if test ${lavoro}X = "44X"
   then
	/usr/bin/clear
	echo -e "ATTENZIONE!! Si Sta Eseguendo Il Ripristino dell'ambiente SIBAC da nastro "
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	cd $dir_ambiente
	sleep 2
	/bin/tar xvfz $nastro
	echo -e "<return> per proseguire \c"
	read attesa
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire \c"
	read attesa
	$dir_scripts/setpermissioni.sh
	fi
fi

/usr/bin/clear
done

