#!/bin/bash 
# creabasecd.sh
# vers. 1.0.4

# vers. 1.0.3 - 13 set 2007 unificata gest. demografici (edem)
# vers. 1.0.4 - 23 mar 2009 aggiunto re ss egit/cns egit/f24 egit/fit


# Questo script crea tanti files tar.gz quante sono le cartelle delle procedure ed un tar.gz 
# per l'ambiente acucobol

######################################################################
# Verifico che l'utente che utilizza questo programma sia "root"
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	sleep 5
	exit
fi

######################################################################
# Verifico che non ci siano utenti connessi alle procedure
lsof -i  | grep -i " sibac " > /tmp/testusers

if [ -s /tmp/testusers ] ; then
	/usr/bin/clear
	echo -e "PER CREARE 'BASE_CD' NESSUNO DEVE USARE LA PROCEDURA!!\n\n"
	echo -e "<return> per proseguire \c"
	read attesa
	exit
fi

######################################################################
if test  ! -d /sibac ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY '/sibac' !!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir /sibac
	sleep 3
fi

if test  ! -d /sibac/tmp ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY TEMPORANEA!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir /sibac/tmp
	sleep 3
fi

cd /sibac

if test  ! -d basecd ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY basecd !!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir basecd
	sleep 3
fi

if test  ! -d basecd/scripts ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY basecd/scripts !!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir basecd/scripts
	sleep 3
fi

if test  ! -d basecd/utility ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY basecd/utility !!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir basecd/utility
	sleep 3
fi
######################################################################

clear
echo -e "CREAZIONE DEL FILE basecd.tar.bz2 per l'installazione di SIBAC\n\n"
cd /sibac

echo -e "Azzero il contenuto della directory /sibac/basecd"
echo -e "<return> per proseguire <0> per annullare \c"
read attesa
if test ! -z $attesa ;then
	clear
        exit
fi

rm -rf /sibac/basecd/*tar.gz 2>/dev/null

echo -e "\n\nCreo un file tar.gz per ogni procedura \n"
echo -e "<return> per proseguire <0> per annullare \c"
read attesa
if test ! -z $attesa ;then
	clear
        exit
fi

for mem in  edem eb77 ecimi edeli eeco egit elice emess emut epag eprot erugg icv time re ss
do 
	clear
	echo -e "\n\nCreo archivio procedura: $mem"
	sleep 1
	tar cvfz basecd/$mem.tar.gz $mem/*
	sleep 1
done

# Creo l' archivio contenete gli scripts mem e l'ambiente acucobol
cd /sibac
clear
echo -e "\n\nCreo l'archivio contenete gli scripts MEM e l'ambiente ACUCOBOL \n"
echo -e "<return> per proseguire <0> per annullare \c"
read attesa
if test ! -z $attesa ;then
	clear
        exit
fi

tar cvfz basecd/varie.tar.gz scripts 

tar cvfz basecd/acucobol.tar.gz /usr/acucobol72 /etc/acurcl7*

# Creo l'archivio globale di tutte le procedure, degli script e dell'ambiente ACUCOBOL
cd /sibac/basecd
clear
echo -e "\n\nCreo l'archivio globale di tutte le procedure, degli script e dell'ambiente ACUCOBOL"
echo -e "<return> per proseguire <0> per annullare \c"
read attesa
if test ! -z $attesa ;then
	clear
        exit
fi

tar cvfj basecd.tar.bz2 *.tar.gz

echo -e "\nCopio setup.sh \n"
cp /sibac/scripts/setup.sh /sibac/basecd
echo -e "Copio gli scripts sulla cartella /sibac/basecd/scripts \n"
cp -rfv /sibac/basecd/varie.tar.gz /sibac/basecd/scripts

echo -e "\nAzzero i files *.tar.gz da /sibac/basecd \n"
echo -e "<return> per proseguire <0> per annullare \c"
read attesa
if test -z $attesa ;then
	rm -rf /sibac/basecd/*tar.gz
fi

echo -e "\nMasterizzo basecd \n"
echo -e "<return> per proseguire <0> per annullare \c"
read attesa
if test -z $attesa ;then
	/sibac/scripts/masterizzabasecd.sh	
fi

echo -e "\n\nFATTO! - nel file basecd.tar.bz2 e' presente tutto l'ambiente SIBAC"
echo -e "\nNOTA: RICORDARSI DI INSERIRE NEL CD I FILES setup.sh, la cartella scripts e la cartella utility"
