#!/bin/bash 
# creautenti.sh - ver. x Ubuntu e Fedora
# vers. 1.0.4
stty -isig


# Questo script crea il gruppo di lavoro sibac e tutti gli utenti 
# utili alla procedura
# vers. 1.0.3 - 13 set 2007 unificata gest. demografici (edem)
#                           eliminato utente ana ed ele
#                           aggiunto utente edem
# vers. 1.0.2 - 10 gen 2007 inserito stty -isig x non bloccare
#                           l'esecuzione dello script
# vers. 1.0.1 - 12 dic 2006 aggiunto utenti ski e cid
# vers. 1.0.4 - 23 mar 2009 aggiunto utenti re (rette scolastiche)
#			    ss (servizi sociali)
#			    cns (locazioni e successioni)
#			    f24 
#			    fit (contratti d'affitto)



# Verifico che l'utente che utilizza questo programma sia "root"
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	exit
fi

clear

echo -e "Selezionare la distribuzione utilizzata(1=Ubuntu 2=Fedora) \c:"
read distribuzione
if test $distribuzione = "1"  ; then

	###############################################################
	# Script x distribuzoine UBUNTU
	###############################################################
	# creo gruppo "sibac"
	echo -e "Creo gruppo Sibac"
	addgroup --gid 1500 sibac

	echo -e "associo l'utente meminf al gruppo Sibac"
	adduser meminf sibac

	###############################################################
	# Creazione utenti per utilizzo procedura Sibac

	echo -e "Creo Utente Sibac"
	adduser --uid 1500 --ingroup sibac --home /sibac/sibac sibac

	clear

#	echo -e "Creo Utente ana"
#	adduser --uid 1501 --ingroup sibac --home /sibac/ana ana

#	clear

	echo -e "Creo Utente eb77"
	adduser --uid 1502 --ingroup sibac --home /sibac/eb77 eb77

	clear

	echo -e "Creo Utente ecimi"
	adduser --uid 1503 --ingroup sibac --home /sibac/ecimi ecimi

	clear

	echo -e "Creo Utente edeli"
	adduser --uid 1504 --ingroup sibac --home /sibac/edeli edeli

	clear

	echo -e "Creo Utente eeco"
	adduser --uid 1505 --ingroup sibac --home /sibac/eeco eeco

	clear

	echo -e "Creo Utente egit"
	adduser --uid 1506 --ingroup sibac --home /sibac/egit egit

	clear

#	echo -e "Creo Utente ele"
#	adduser --uid 1507 --ingroup sibac --home /sibac/ele ele
#
#	clear

	echo -e "Creo Utente elice"
	adduser --uid 1508 --ingroup sibac --home /sibac/elice elice

	clear

	echo -e "Creo Utente emess"
	adduser --uid 1509 --ingroup sibac --home /sibac/emess emess

	clear

	echo -e "Creo Utente emut"
	adduser --uid 1510 --ingroup sibac --home /sibac/emut emut

	clear

	echo -e "Creo Utente epag"
	adduser --uid 1511 --ingroup sibac --home /sibac/epag epag

	clear

	echo -e "Creo Utente eprot"
	adduser --uid 1512 --ingroup sibac --home /sibac/eprot eprot

	clear

	echo -e "Creo Utente erugg"
	adduser --uid 1513 --ingroup sibac --home /sibac/erugg erugg

	clear

	echo -e "Creo Utente icv"
	adduser --uid 1514 --ingroup sibac --home /sibac/icv icv

	clear

	echo -e "Creo Utente time"
	adduser --uid 1515 --ingroup sibac --home /sibac/time time

	clear

	echo -e "Creo Utente ici"
	adduser --uid 1516 --ingroup sibac --home /sibac/egit/ici ici

	clear

	echo -e "Creo Utente xnu"
	adduser --uid 1517 --ingroup sibac --home /sibac/egit/xnu xnu

	clear

	echo -e "Creo Utente xin"
	adduser --uid 1518 --ingroup sibac --home /sibac/egit/xin xin

	clear

	echo -e "Creo Utente xtp"
	adduser --uid 1519 --ingroup sibac --home /sibac/egit/xtp xtp

	clear

	echo -e "Creo Utente ct2"
	adduser --uid 1520 --ingroup sibac --home /sibac/egit/ct2 ct2

	clear

	echo -e "Creo Utente ski"
	adduser --uid 1521 --ingroup sibac --home /sibac/egit/ski ski

	clear

	echo -e "Creo Utente cid"
	adduser --uid 1522 --ingroup sibac --home /sibac/egit/cid cid

	clear

	echo -e "Creo Utente edem"
	adduser --uid 1523 --ingroup sibac --home /sibac/edem edem

	clear

	echo -e "Creo Utente re"
	adduser --uid 1524 --ingroup sibac --home /sibac/re re

	clear

	echo -e "Creo Utente ss"
	adduser --uid 1525 --ingroup sibac --home /sibac/ss ss

	clear

	echo -e "Creo Utente cns"
	adduser --uid 1526 --ingroup sibac --home /sibac/egit/cns cns

	clear

	echo -e "Creo Utente f24"
	adduser --uid 1527 --ingroup sibac --home /sibac/egit/f24 f24

	clear

	echo -e "Creo Utente fit"
	adduser --uid 1528 --ingroup sibac --home /sibac/egit/fit fit

fi

if test $distribuzione = "2"  ; then

	###############################################################
	# Script x distribuzoine Fedora
	###############################################################
	# creo gruppo "sibac"
	echo -e "Creo gruppo Sibac"
	groupadd -g 1500 sibac

	###############################################################
	# Creazione utenti per utilizzo procedura Sibac

	echo -e "Creo Utente Sibac"
	adduser -u 1500 -g sibac -d /sibac/sibac  sibac
	echo -e "Inserire la password dell'utente"
	passwd sibac

	clear

#	echo -e "Creo Utente ana"
#	adduser -u 1501 -g sibac -d /sibac/ana  ana
#	echo -e "Inserire la password dell'utente"
#	passwd ana
#
#	clear
#
	echo -e "Creo Utente eb77"
	adduser -u 1502 -g sibac -d /sibac/eb77  eb77
	echo -e "Inserire la password dell'utente"
	passwd eb77

	clear

	echo -e "Creo Utente ecimi"
	adduser -u 1503 -g sibac -d /sibac/ecimi  ecimi
	echo -e "Inserire la password dell'utente"
	passwd ecimi

	clear

	echo -e "Creo Utente edeli"
	adduser -u 1504 -g sibac -d /sibac/edeli  edeli
	echo -e "Inserire la password dell'utente"
	passwd edeli

	clear

	echo -e "Creo Utente eeco"
	adduser -u 1505 -g sibac -d /sibac/eeco  eeco
	echo -e "Inserire la password dell'utente"
	passwd eeco

	clear

	echo -e "Creo Utente egit"
	adduser -u 1506 -g sibac -d /sibac/egit  egit
	echo -e "Inserire la password dell'utente"
	passwd egit

	clear

#	echo -e "Creo Utente ele"
#	adduser -u 1507 -g sibac -d /sibac/ele  ele
#	echo -e "Inserire la password dell'utente"
#	passwd ele
#
#	clear

	echo -e "Creo Utente elice"
	adduser -u 1508 -g sibac -d /sibac/elice  elice
	echo -e "Inserire la password dell'utente"
	passwd elice

	clear

	echo -e "Creo Utente emess"
	adduser -u 1509 -g sibac -d /sibac/emess  emess
	echo -e "Inserire la password dell'utente"
	passwd emess

	clear

	echo -e "Creo Utente emut"
	adduser -u 1510 -g sibac -d /sibac/emut  emut
	echo -e "Inserire la password dell'utente"
	passwd emut

	clear

	echo -e "Creo Utente epag"
	adduser -u 1511 -g sibac -d /sibac/epag  epag
	echo -e "Inserire la password dell'utente"
	passwd epag

	clear

	echo -e "Creo Utente eprot"
	adduser -u 1512 -g sibac -d /sibac/eprot  eprot
	echo -e "Inserire la password dell'utente"
	passwd eprot

	clear

	echo -e "Creo Utente erugg"
	adduser -u 1513 -g sibac -d /sibac/erugg  erugg
	echo -e "Inserire la password dell'utente"
	passwd erugg

	clear

	echo -e "Creo Utente icv"
	adduser -u 1514 -g sibac -d /sibac/icv  icv
	echo -e "Inserire la password dell'utente"
	passwd icv

	clear

	echo -e "Creo Utente time"
	adduser -u 1515 -g sibac -d /sibac/time  time
	echo -e "Inserire la password dell'utente"
	passwd time

	clear

	echo -e "Creo Utente ici"
	adduser -u 1516 -g sibac -d /sibac/egit/ici ici
	passwd ici

	clear

	echo -e "Creo Utente xnu"
	adduser -u 1517 -g sibac -d /sibac/egit/xnu xnu
	passwd xnu

	clear

	echo -e "Creo Utente xin"
	adduser -u 1518 -g sibac -d /sibac/egit/xin xin
	passwd xin

	clear

	echo -e "Creo Utente xtp"
	adduser -u 1519 -g sibac -d /sibac/egit/xtp xtp
	passwd xtp

	clear

	echo -e "Creo Utente ct2"
	adduser -u 1520 -g sibac -d /sibac/egit/ct2 ct2
	passwd ct2

	clear

	echo -e "Creo Utente ski"
	adduser -u 1521 -g sibac -d /sibac/egit/ski ski
	passwd ski

	clear

	echo -e "Creo Utente cid"
	adduser -u 1522 -g sibac -d /sibac/egit/cid cid
	passwd cid

	clear

	echo -e "Creo Utente edem"
	adduser -u 1523 -g sibac -d /sibac/edem edem
	passwd cid

	clear

	echo -e "Creo Utente re"
	adduser -u 1524 -g sibac -d /sibac/re re
	passwd re

	clear

	echo -e "Creo Utente ss"
	adduser -u 1525 -g sibac -d /sibac/ss ss
	passwd ss

	clear

	echo -e "Creo Utente cns"
	adduser -u 1526 -g sibac -d /sibac/egit/cns cns
	passwd cns

	clear

	echo -e "Creo Utente f24"
	adduser -u 1527 -g sibac -d /sibac/egit/f24 f24
	passwd f24

	clear

	echo -e "Creo Utente fit"
	adduser --u 1528 -g sibac -d /sibac/egit/fit fit
	passwd fit 

fi
