#!/bin/bash 
# masterizzabasecd.sh
# vers. 1.0.1

######################################################################
# Verifico che l'utente che utilizza questo programma sia "root"
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	sleep 5
	exit
fi

######################################################################
# Variabili d'ambiente

# NOTA: tutti i files contenenti le variabili d'ambiente devono essere
#  sempre  presenti su /sibac/variabili 

if test  ! -d /sibac ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY '/sibac' !!\n\n"
	sleep 3
	exit
fi
if test  ! -d /sibac/variabili ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY '/sibac/variabili' !!\n\n"
	sleep 3
fi

if test  ! -d /sibac/tmp ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY TEMPORANEA!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir /sibac/tmp
	sleep 3
fi

####################################################################

dir_variabili="/sibac/variabili"

if test -s $dir_variabili/masterizzatore ; then
	masterizzatore=`cat $dir_variabili/masterizzatore` ; else
	/usr/bin/clear
	masterizzatore="/dev/cdrom"
	echo -e "Variabile d'ambiente 'masterizzatore' non inizializzata!\n\n"
	echo -e "Inserire il nome del supporto utilizzato per le copie su masterizzatore ($masterizzatore): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$masterizzatore
	fi

	echo $variabile > $dir_variabili/masterizzatore
fi

####################################################################
clear

echo -e "\nCancellazione cdrom \n"
echo -e "<return> per proseguire <0> per annullare \c"
read attesa
if test -z $attesa ;then
	cdrecord dev=$masterizzatore blank=fast
fi

echo -e "\nCreo l'immagine da masterizzare .... \n"
cd /sibac
rm -rf /sibac/tmp/* > /dev/null
mkisofs -J -r -v -T -o /sibac/tmp/basecd.img /sibac/basecd
echo -e "\n Masterizzo l'immagine del cd-rom ... \n"
cdrecord -v speed=24 dev=$masterizzatore -data /sibac/tmp/basecd.img

eject $masterizzatore
