#!/bin/bash 
# setup.sh
# vers. 1.0.2

######################################################################
# vers. 1.0.2 - 10 gen 2007 inserito stty -isig x non bloccare
#                           l'esecuzione dello script

stty -isig

# Installazione ambiente SIBAC da cd-rom

######################################################################
# Verifico che l'utente che utilizza questo programma sia "root"
clear
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	sleep 5
	exit
fi

echo -e "######################################################################"
echo -e "#			 MEM INFORMATIC Srl              	      #"
echo -e "######################################################################"
echo -e "#                                                                    #"
echo -e "#  La presente procedura copia dal cd rom tutti i programmi della    #"
echo -e "#  directory 'scripts' sulla cartella '/sibac/scripts', crea un link #"
echo -e "#  logico della procedura 'inizio.sibac' sulla directory '/root' ed  #"
echo -e "#  esegue lo script 'installa.sibac'.                                #"
echo -e "#                                                                    #"
echo -e "#  ATTENZIONE!!                                                      #"
echo -e "#  Affinche' le procedure funzionino correttamente o che             #"
echo -e "#  l'installazione vada a buon fine, occorre:                        #"
echo -e "#  0 - che il supporto magnetico sul quale sono presenti i programmi #"
echo -e "#      sia montato al filesystem (ex: mount /dev/cdrom)              #"
echo -e "#  1 - che sulla root directory '/', del sistema Gnu/Linux, esista   #"
echo -e "#      la cartella '/sibac' o un link logico della stessa            #"
echo -e "#  2 - che sul sistema sia installato e configurato un server ssh    #"
echo -e "#  3 - che sul sistema sia installato e configurato un server ftp    #"
echo -e "#  4 - che sul sistema esista l'utente 'meminf' e che lo stesso      #"
echo -e "#      appartenga al grupp 'sibac'                                   #"
echo -e "#  5 - che, terminata l'installazione, venga eseguto dalla directory #"
echo -e "#      /usr/acucobol72 il comando ./acurcl -access al fine di        #"
echo -e "#      attivare l'ambiente base del software SIBAC                   #"
echo -e "#  6 - che, terminata l'installazione, vengano eseguita la procedura #"
echo -e "#      per inserire il codice d'attivazione all'ambiente ACUCOBOL    #"
echo -e "#  7 - che, terminata l'installazione, vengano eseguita la procedura #"
echo -e "#      per impostare le permissioni                                  #"
echo -e "######################################################################\n"
echo -e "<return> per proseguire <0> per annullare \c"
read attesa
if test ! -z $attesa ;then
	clear
	exit
fi

clear

mediacd="/media/cdrom"
echo -e "Inserire il percorso del cd-rom sul quale cercare i files d'installazione ($mediacd): \c"
read variabile
if test -z $variabile ; then 
	supporto=$mediacd
else
	supporto=$variabile
fi

# NOTA: tutti i files contenenti le variabili d'ambiente devono essere
#  sempre  presenti su /sibac/variabili 

if test  ! -d /sibac ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY '/sibac' !!\n\n"
	sleep 3
	exit
fi
cd /sibac
tar xvfz $supporto/scripts/varie.tar.gz

ln -s /sibac/scripts/inizio.sibac /root

# Verifico se il file /root/.bashrc e' stato gia' modificato
/bin/cat /root/.bashrc | /bin/grep "inizio.sibac" > /tmp/testbashrc

if [ ! -s /tmp/testbashrc ] ; then
	echo -e "Modifico il file d'avvio .bashrc ................."
	echo "/root/inizio.sibac" >> /root/.bashrc
fi

/sibac/scripts/installa.sibac
