#!/bin/bash 
# upload.sh
# vers. 1.0.4
stty -isig

######################################################################
# vers. 1.0.3 - 13 set 2007 unificata gest. demografici (edem)
# vers. 1.0.4 - 23 mar 2009 ggiunto re ss egit/cns egit/f24 egit/fit

######################################################################
# Verifico che l'utente che utilizza questo programma sia "root"
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	sleep 5
	exit
fi

######################################################################
# Variabili d'ambiente

# NOTA: tutti i files contenenti le variabili d'ambiente devono essere
#  sempre  presenti su /sibac/variabili 

dir_variabili="/sibac/variabili"

if test -s $dir_variabili/mediacd ; then
	mediacd=`cat $dir_variabili/mediacd`; else
	/usr/bin/clear
	mediacd="/media/cdrom"
	echo -e "Variabile d'ambiente 'cdrom' non inizializzata!\n\n"
	echo -e "Inserire un percorso valido per gli aggiornamenti da cdrom ($mediacd): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$mediacd
	fi

	echo $variabile > $dir_variabili/mediacd
fi

if test -s $dir_variabili/nastro ; then
	nastro=`cat $dir_variabili/nastro` ; else
	/usr/bin/clear
	nastro="/dev/st0"
	echo -e "Variabile d'ambiente 'nastro' non inizializzata!\n\n"
	echo -e "Inserire il nome del supporto utilizzato per le copie ($nastro): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$nastro
	fi

	echo $variabile > $dir_variabili/nastro
fi

if test -s $dir_variabili/masterizzatore ; then
	masterizzatore=`cat $dir_variabili/masterizzatore` ; else
	/usr/bin/clear
	masterizzatore="/dev/cdrom"
	echo -e "Variabile d'ambiente 'masterizzatore' non inizializzata!\n\n"
	echo -e "Inserire il nome del supporto utilizzato per le copie su masterizzatore ($masterizzatore): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$masterizzatore
	fi

	echo $variabile > $dir_variabili/masterizzatore
fi

if test -s $dir_variabili/id_sistema ; then
	id_sistema=`cat $dir_variabili/id_sistema` ; else
	/usr/bin/clear
	echo -e "Variabile d'ambiente 'id_sistema' non inizializzata!\n\n"
	echo -e "Inserire il nome dell'identificativo di sistema (esempio: Ubuntu Server 6.06.1): \c"
	read variabile
	if test -z $variabile ; then 
		variabile="INSERIRE ID_SISTEMA!!!"
	fi

	echo $variabile > $dir_variabili/id_sistema
fi

if test -s $dir_variabili/dir_ambiente ; then
	dir_ambiente=`cat $dir_variabili/dir_ambiente` ; else
	/usr/bin/clear
	dir_ambiente="/sibac"
	echo -e "Variabile d'ambiente 'dir_ambiente' non inizializzata!\n\n"
	echo -e "Inserire il nome della directory su cui si trova l'ambiente SIBAC ($dir_ambiente): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_ambiente
	fi

	echo $variabile > $dir_variabili/dir_ambiente
fi

if test -s $dir_variabili/dir_scripts ; then
	dir_scripts=`cat $dir_variabili/dir_scripts` ; else
	/usr/bin/clear
	dir_scripts="/sibac/scripts"
	echo -e "Variabile d'ambiente 'dir_scripts' non inizializzata!\n\n"
	echo -e "Inserire il nome della directory su cui si trovano gli scripts ($dir_scripts): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_scripts
	fi

	echo $variabile > $dir_variabili/dir_scripts
fi

if test -s $dir_variabili/dir_installazione ; then
	dir_installazione=`cat $dir_variabili/dir_installazione` ; else
	/usr/bin/clear
	dir_installazione="/sibac/installazione"
	echo -e "Variabile d'ambiente 'dir_installazione' non inizializzata!\n\n"
	echo -e "Inserire il nome della directory su cui copiare il file per l'installazione di SIBAC ($dir_installazione): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_installazione
	fi

	echo $variabile > $dir_variabili/dir_installazione
fi

if test -s $dir_variabili/dir_aggiornamenti ; then
	dir_aggiornamenti=`cat $dir_variabili/dir_aggiornamenti` ; else
	/usr/bin/clear
	dir_aggiornamenti="/sibac/aggiornamenti"
	echo -e "Variabile d'ambiente 'dir_aggiornamenti' non inizializzata!\n\n"
	echo -e "Inserire il nome della directory su cui copiare il file per gli aggiornamenti di SIBAC ($dir_aggiornamenti): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_aggiornamenti
	fi

	echo $variabile > $dir_variabili/dir_aggiornamenti
fi

if test -s $dir_variabili/file_inst ; then
	file_inst=`cat $dir_variabili/file_inst` ; else
	/usr/bin/clear
	file_inst="basecd.tar.bz2"
	echo -e "Variabile d'ambiente 'file_inst' non inizializzata!\n\n"
	echo -e "Inserire il nome del file installante ($file_inst):\c"
	read variabile
	if test -z $variabile ; then 
		variabile=$file_inst
	fi

	echo $variabile > $dir_variabili/file_inst
fi

if test -s $dir_variabili/file_agg ; then
	file_agg=`cat $dir_variabili/file_agg` ; else
	/usr/bin/clear
	file_agg="aggiornamento.tar.bz2"
	echo -e "Variabile d'ambiente 'file_agg' non inizializzata!\n\n"
	echo -e "Inserire il nome del file per gli aggiornamenti ($file_agg): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$file_agg
	fi

	echo $variabile > $dir_variabili/file_agg
fi

if test -s $dir_variabili/dir_copieinterne ; then
	dir_copieinterne=`cat $dir_variabili/dir_copieinterne` ; else
	/usr/bin/clear
	dir_copieinterne="/sibac/copie"
	echo -e "Variabile d'ambiente 'copieinterne' non inizializzata!\n\n"
	echo -e "Inserire il nome della directory per le copie interne ($dir_copieinterne): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_copieinterne
	fi

	echo $variabile > $dir_variabili/dir_copieinterne
fi

if test -s $dir_variabili/codicecliente ; then
	codicecliente=`cat $dir_variabili/codicecliente` ; else
	/usr/bin/clear
	codicecliente="DEVI_INSERIRE_CODICE_UTENTE"
	echo -e "Variabile d'ambiente 'codicecliente' non inizializzata!\n\n"
	echo -e "Inserire il codice cliente ($codicecliente): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$codicecliente
	fi

	echo $variabile > $dir_variabili/codicecliente
fi

# verifico che esistano le directory "obbligatorie" per poter procedere

if test  ! -d $dir_variabili ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DELLE VARIABILI D'AMBIENTE!!!\n\n"
	echo -e "Provvedere alla sua creazione ed all'inizializzazione delle variabili d'ambiente"
	sleep 3
	exit
fi

if test  ! -d $dir_copieinterne ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DELLE COPIE INTERNE!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir $dir_copieinterne
	sleep 3
fi

if test  ! -d $dir_ambiente/tmp ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY TEMPORANEA!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir $dir_ambiente/tmp
	sleep 3
fi

######################################################################
# Elenco delle procedure SIBAC suddivise per area
######################################################################
prg_demografici="edem"
prg_delibere="edeli"
prg_protocollo="eprot"
prg_messi="emess"
prg_tributi="egit"
prg_finanziaria="eb77"
prg_pagheeco="epag"
prg_paghegiu="erugg"
prg_commercio="elice"
prg_invcivili="icv"
prg_economato="eeco"
prg_rilpresenze="time"
prg_mutui="emut"
prg_cimiteriali="ecimi"
prg_rette="re"
prg_servsociali="ss"
######################################################################

# Inizio menu
/usr/bin/clear
lavoro=""
while test ${lavoro}X != "0X"
do
echo -e "
   	  =================================================================
	    M E M  I N F O R M A T I C A  **  M E M  I N F O R M A T I C A  
	  ================================================================= 
           I N V I O  A R C H I V I  A L  C E N T R O  A S S I S T E N Z A  
          -----------------------------------------------------------------
	   1 -  PROCEDURA DEMOGRAFICI      9 -  PROCEDURA PAGHE GIURIDICO
	   2 -  PROCEDURA GEST. CIMITER.   A -  PROCEDURA COMMERCIO
	   3 -  PROCEDURA DELIBERE         B -  PROCEDURA INVALIDI CIVILI
	   4 -  PROCEDURA PROTOCOLLO       C -  PROCEDURA ECONOMATO
	   5 -  PROCEDURA MESSI COMUNALI   D -  PROCEDURA RIL. PRESENZE
	   6 -  PROCEDURA TRIBUTI          E -  PROCEDURA MUTUI
	   7 -  PROCEDURA FINANZIARIA      F -  PROCEDURA GEST. RETTE
           8 -  PROCEDURA PAGHE ECONOMICO  G -  PROCEDURA SERVIZI SOCIALI
          ----------------------------------------------------------------
           L -  INVIO DI ALTRI ARCHIVI E PROGRAMMI
          ------------------------------------------------------- v.1.0.4 -
          Scelta lavoro [0=uscita]: \c"

read lavoro
if test ${lavoro}X = "1X"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_demografici.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura ANAGRAFE\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "2X"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_cimiteriali.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura ELETTORALE\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "3X"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_delibere.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura DELIBERE\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "4X"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_protocollo.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura PROTOCOLLO\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "5X"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_messi.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura MESSI COMUNALI\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "6X"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_tributi.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura TRIBUTI\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "7X"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_finanziaria.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura FINANZIARIA\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "8X"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_pagheeco.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura PAGHE ECONOMICO\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "9X"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_paghegiu.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura PAGHE GIURIDICO\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "AX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_commercio.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura COMMERCIO\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "BX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_invcivili.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura INVALIDI CIVILI\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "CX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_economato.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura ECONOMATO\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "DX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_rilpresenze.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura RILEVAZIONE PRESENZE\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "EX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_mutui.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura MUTUI\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "FX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_rette.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura Gest. Rette\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "GX"
   then
	/usr/bin/clear
	cd $dir_ambiente
	nomefile="$dir_copieinterne/$prg_servsociali.tar.gz"
	echo -e "Invio al Centro Assistenza Archivi Procedura Serv. Sociali\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

if test ${lavoro}X = "LX"
   then
	/usr/bin/clear
	cd $dir_ambiente
        echo -e "Nome Archivio da Inviare :\c"
	read nomefile
	echo -e "\nInvio al Centro Assistenza Archivio $nomefile\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	if test -z $attesa ;then
	   echo -e "\n\nAttendere prego...."
           ncftpput -u mem_cliente -p memsrl92 -m ftp.meminformatica.com /alphasoft/clienti/Archivi/$codicecliente $nomefile
	fi

fi

clear
done

