#!/bin/bash 
# utilita.sh
# vers. 1.0.4

######################################################################
# vers. 1.0.4 - 23 mar 2009 aggiunto re(rette) ss (servizi sociali)
# vers. 1.0.3 - 13 set 2007 aggiunto programma x sblocco Acucobol

######################################################################

stty -isig

######################################################################
# Verifico che l'utente che utilizza questo programma sia "root"
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	sleep 5
	exit
fi

######################################################################
# Variabili d'ambiente

# NOTA: tutti i files contenenti le variabili d'ambiente devono essere
#  sempre  presenti su /sibac/variabili 

if test  ! -d /sibac ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY '/sibac' !!\n\n"
	sleep 3
	exit
fi

if test  ! -d /sibac/variabili ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY '/sibac/variabili' !!\n\n"
	sleep 3
fi
####################################################################

dir_variabili="/sibac/variabili"

if test -s $dir_variabili/floppy ; then
	floppy=`cat $dir_variabili/floppy` ; else
	/usr/bin/clear
	floppy="/dev/fd0"
	echo -e "Variabile d'ambiente 'device floppy' non inizializzata!\n\n"
	echo -e "Inserire device degli aggiornamenti da floppy ($floppy): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$floppy
	fi

	echo $variabile > $dir_variabili/floppy
fi

if test -s $dir_variabili/mediafd ; then
	mediafd=`cat $dir_variabili/mediafd`; else
	/usr/bin/clear
	mediafd="/media/floppy"
	echo -e "Variabile d'ambiente 'mediafd' non inizializzata!\n\n"
	echo -e "Inserire percorso per gli aggiornamenti da floppy ($mediafd): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$mediafd
	fi

	echo $variabile > $dir_variabili/mediafd
fi

if test -s $dir_variabili/masterizzatore ; then
	masterizzatore=`cat $dir_variabili/masterizzatore` ; else
	/usr/bin/clear
	masterizzatore="/dev/cdrom"
	echo -e "Variabile d'ambiente 'masterizzatore' non inizializzata!\n\n"
	echo -e "Inserire nome supporto per le copie su masterizzatore ($masterizzatore): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$masterizzatore
	fi

	echo $variabile > $dir_variabili/masterizzatore
fi

if test -s $dir_variabili/mediacd ; then
	mediacd=`cat $dir_variabili/mediacd`; else
	/usr/bin/clear
	mediacd="/media/cdrom"
	echo -e "Variabile d'ambiente 'cdrom' non inizializzata!\n\n"
	echo -e "Inserire percorso per gli aggiornamenti da cdrom ($mediacd): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$mediacd
	fi

	echo $variabile > $dir_variabili/mediacd
fi

if test -s $dir_variabili/nastro ; then
	nastro=`cat $dir_variabili/nastro` ; else
	/usr/bin/clear
	nastro="/dev/st0"
	echo -e "Variabile d'ambiente 'nastro' non inizializzata!\n\n"
	echo -e "Inserire nome supporto utilizzato per le copie ($nastro): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$nastro
	fi

	echo $variabile > $dir_variabili/nastro
fi

if test -s $dir_variabili/id_sistema ; then
	id_sistema=`cat $dir_variabili/id_sistema` ; else
	/usr/bin/clear
	echo -e "Variabile d'ambiente 'id_sistema' non inizializzata!\n\n"
	echo -e "Inserire identificativo di sistema (esempio: Ubuntu_Server_6.06.1): \c"
	read variabile
	if test -z $variabile ; then 
		variabile="INSERIRE ID_SISTEMA!!!"
	fi

	echo $variabile > $dir_variabili/id_sistema
fi

if test -s $dir_variabili/dir_ambiente ; then
	dir_ambiente=`cat $dir_variabili/dir_ambiente` ; else
	/usr/bin/clear
	dir_ambiente="/sibac"
	echo -e "Variabile d'ambiente 'dir_ambiente' non inizializzata!\n\n"
	echo -e "Inserire nome directory ambiente SIBAC ($dir_ambiente): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_ambiente
	fi

	echo $variabile > $dir_variabili/dir_ambiente
fi

if test -s $dir_variabili/dir_scripts ; then
	dir_scripts=`cat $dir_variabili/dir_scripts` ; else
	/usr/bin/clear
	dir_scripts="/sibac/scripts"
	echo -e "Variabile d'ambiente 'dir_scripts' non inizializzata!\n\n"
	echo -e "Inserire nome directory degli scripts ($dir_scripts): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_scripts
	fi

	echo $variabile > $dir_variabili/dir_scripts
fi

if test -s $dir_variabili/dir_installazione ; then
	dir_installazione=`cat $dir_variabili/dir_installazione` ; else
	/usr/bin/clear
	dir_installazione="/sibac/installazione"
	echo -e "Variabile d'ambiente 'dir_installazione' non inizializzata!\n\n"
	echo -e "Nome directory per i file d'installazione ($dir_installazione): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_installazione
	fi

	echo $variabile > $dir_variabili/dir_installazione
fi

if test -s $dir_variabili/dir_aggiornamenti ; then
	dir_aggiornamenti=`cat $dir_variabili/dir_aggiornamenti` ; else
	/usr/bin/clear
	dir_aggiornamenti="/sibac/aggiornamenti"
	echo -e "Variabile d'ambiente 'dir_aggiornamenti' non inizializzata!\n\n"
	echo -e "Nome directory per i file degli aggiornamenti ($dir_aggiornamenti): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_aggiornamenti
	fi

	echo $variabile > $dir_variabili/dir_aggiornamenti
fi

if test -s $dir_variabili/file_inst ; then
	file_inst=`cat $dir_variabili/file_inst` ; else
	/usr/bin/clear
	file_inst="basecd.tar.bz2"
	echo -e "Variabile d'ambiente 'file_inst' non inizializzata!\n\n"
	echo -e "Inserire il nome del file installante ($file_inst):\c"
	read variabile
	if test -z $variabile ; then 
		variabile=$file_inst
	fi

	echo $variabile > $dir_variabili/file_inst
fi

if test -s $dir_variabili/file_agg ; then
	file_agg=`cat $dir_variabili/file_agg` ; else
	/usr/bin/clear
	file_agg="aggiornamento.tar.bz2"
	echo -e "Variabile d'ambiente 'file_agg' non inizializzata!\n\n"
	echo -e "Inserire nome del file per gli aggiornamenti ($file_agg): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$file_agg
	fi

	echo $variabile > $dir_variabili/file_agg
fi

if test -s $dir_variabili/dir_copieinterne ; then
	dir_copieinterne=`cat $dir_variabili/dir_copieinterne` ; else
	/usr/bin/clear
	dir_copieinterne="/sibac/copie"
	echo -e "Variabile d'ambiente 'copieinterne' non inizializzata!\n\n"
	echo -e "Inserire nome directory copie interne ($dir_copieinterne): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$dir_copieinterne
	fi

	echo $variabile > $dir_variabili/dir_copieinterne
fi

if test -s $dir_variabili/codicecliente ; then
	codicecliente=`cat $dir_variabili/codicecliente` ; else
	/usr/bin/clear
	codicecliente="DEVI_INSERIRE_CODICE_UTENTE"
	echo -e "Variabile d'ambiente 'codicecliente' non inizializzata!\n\n"
	echo -e "Inserire il codice cliente ($codicecliente): \c"
	read variabile
	if test -z $variabile ; then 
		variabile=$codicecliente
	fi

	echo $variabile > $dir_variabili/codicecliente
fi

# verifico che esistano le directory "obbligatorie" per poter procedere

if test  ! -d $dir_installazione ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DI INSTALLAZIONE!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir $dir_installazione
	sleep 3
fi

if test  ! -d $dir_aggiornamenti ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DEGLI AGGIORNAMENTI!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir $dir_aggiornamenti
	sleep 3
fi

if test  ! -d $dir_ambiente/tmp ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY TEMPORANEA!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir $dir_ambiente/tmp
	sleep 3
fi

if test  ! -d $dir_scripts ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DEGLI SCRIPTS!!!\n\n"
	echo -e "Provvedere alla sua creazione ed all'inizializzazione delle variabili d'ambiente"
	sleep 3
	exit
fi

if test  ! -d $dir_variabili ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DELLE VARIABILI D'AMBIENTE!!!\n\n"
	echo -e "Provvedere alla sua creazione ed all'inizializzazione delle variabili d'ambiente"
	sleep 3
	exit
fi


if test  ! -d $dir_copieinterne ; then
	/usr/bin/clear
	echo -e "DEVE ESISTERE LA DIRECTORY DELLE COPIE INTERNE!!!\n\n"
	echo -e "Adesso la creo......"
	/bin/mkdir $dir_copieinterne
	sleep 3
fi

###############################################################################
# Inizio menu

/usr/bin/clear

lavoro=""
while test ${lavoro}X != "0X"
do
echo -e "
   	  =============================================================
	  M E M  I N F O R M A T I C A  *  M E M  I N F O R M A T I C A 
	  =============================================================\n 
           M E N U'   U T I L I T A'    *  A M B I E N T E   S I B A C  
          -------------------------------------------------------------
	  Sistema Operativo: $id_sistema
          -------------------------------------------------------------
           1 - GESTIONE VARIABILI AMBIENTE  5 - INVIO ARCHIVI VIA WEB\n
           2 - IMPOSTA PERMISSIONI          6 - MOUNT CD-ROM\n
           3 - CONTROLLO SPAZIO SU DISCO    7 - UMOUNT CD-ROM \n
	   4 - SBLOCCO OPERATORE            8 - SBLOCCA ACUCOBOL
          --------------------------------------------------- v.1.0.4 -\n
          Scelta lavoro [0=uscita]: \c"

read lavoro
if test ${lavoro}X = "1X"
   then
	/usr/bin/clear
	$dir_scripts/setvariabili.sh
fi

if test ${lavoro}X = "2X"
   then
	/usr/bin/clear
	echo -e "Imposto le permissioni alle directory e ai files\n"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	echo -e ""
	if test -z $attesa ;then
		$dir_scripts/setpermissioni.sh
	fi
fi

if test ${lavoro}X = "3X"
   then
	/usr/bin/clear
        echo -e "\f\n\n\n"
        df -h
        echo -e "\n\n<RET>  per proseguire  \c"
        read risp
	/usr/bin/clear
fi

if test ${lavoro}X = "4X"
   then
	/usr/bin/clear
	$dir_scripts/sbloccaop.sh
	
fi

if test ${lavoro}X = "5X"
   then
	/usr/bin/clear
	$dir_scripts/upload.sh
fi

if test ${lavoro}X = "6X"
   then 
	/usr/bin/clear

	# Verifico se il disco esterno e' montato sul sistema, se non e'
	# montato lo monto e procedo
	/bin/df | /bin/grep -i $mediacd > /tmp/testcd
	 
	if [ ! -s /tmp/testcd ] ; then
		echo -e "Monto il cdrom................."
		echo -e "..............................."
		/bin/mount $mediacd
		sleep 2
	fi

fi

if test ${lavoro}X = "7X"
   then
	/usr/bin/clear

	# Verifico se il disco esterno e' montato sul sistema, se non e'
	# montato non lo smonto
	/bin/df | /bin/grep -i $mediacd > /tmp/testcd
	 
	if [ -s /tmp/testcd ] ; then
		echo -e "Smonto il cdrom................."
		echo -e "..............................."
		/bin/umount $mediacd
		sleep 2
	fi

fi

if test ${lavoro}X = "8X"
   then
	/usr/bin/clear
	echo -e "ATTENZIONE!!"
	echo -e "Questo programma deve essere eseguito solo quando, a causa di un problema"
	echo -e "al server Sibac (ad es.dopo che e' mancata l'alimentazione elettrica), la"
        echo -e "procedura non si avvia e, al tentativo di connessione, presenta l'errore:"
	echo -e "\n     Connection Failed"
	echo -e "Connection to server refused\n"
	echo -e "\nSblocco Ambiente Acucobol"
	echo -e "<return> per proseguire <0> per annullare \c"
	read attesa
	echo -e ""
	if test -z $attesa ;then
		rm -rf /etc/AcuAccR72*
		cd /
		tar xvfz $dir_scripts/AcuAccR72.tar.gz
		cd $dir_ambiente
	fi
fi

/usr/bin/clear
done

/usr/bin/clear
